CachingOptions.RowCache (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cache

## Class CachingOptions.RowCache

- java.lang.Object
- - org.apache.cassandra.cache.CachingOptions.RowCache

- Enclosing class:
    CachingOptions

      public static class CachingOptions.RowCache
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CachingOptions.RowCache.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `rowsToCache`
    `CachingOptions.RowCache.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingOptions.RowCache(CachingOptions.RowCache.Type type)`
    `CachingOptions.RowCache(CachingOptions.RowCache.Type type, int rowsToCache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cacheFullPartitions()`
    `boolean` | `equals(java.lang.Object o)`
    `static CachingOptions.RowCache` | `fromString(java.lang.String rowCache)`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final CachingOptions.RowCache.Type type

    - #### rowsToCache

          public final int rowsToCache

  - ### Constructor Detail

    - #### CachingOptions.RowCache

          public CachingOptions.RowCache(CachingOptions.RowCache.Type type)

    - #### CachingOptions.RowCache

          public CachingOptions.RowCache(CachingOptions.RowCache.Type type,
                                 int rowsToCache)

  - ### Method Detail

    - #### fromString

          public static CachingOptions.RowCache fromString(java.lang.String rowCache)

    - #### isEnabled

          public boolean isEnabled()

    - #### cacheFullPartitions

          public boolean cacheFullPartitions()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation